package com.ruoyi.plant.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 员工月刷卡统计对象 t_canteen_card_month
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
public class TCanteenCardMonth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 卡id */
    @Excel(name = "卡id")
    private Long cardId;

    /** 刷卡年份 */
    @Excel(name = "刷卡年份")
    private String swipYear;

    /** 刷卡月份 */
    @Excel(name = "刷卡月份")
    private String swipMonth;

    /** 刷卡次数 */
    @Excel(name = "刷卡次数")
    private Long swipNum;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 状态 0 ：正常 ；2：删除 */
    private Integer delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setCardId(Long cardId) 
    {
        this.cardId = cardId;
    }

    public Long getCardId() 
    {
        return cardId;
    }

    public void setSwipYear(String swipYear) 
    {
        this.swipYear = swipYear;
    }

    public String getSwipYear() 
    {
        return swipYear;
    }

    public void setSwipMonth(String swipMonth) 
    {
        this.swipMonth = swipMonth;
    }

    public String getSwipMonth() 
    {
        return swipMonth;
    }

    public void setSwipNum(Long swipNum) 
    {
        this.swipNum = swipNum;
    }

    public Long getSwipNum() 
    {
        return swipNum;
    }

    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    public void setCreaterCode(Long createrCode) 
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode() 
    {
        return createrCode;
    }

    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }

    public void setUpdaterCode(Long updaterCode) 
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode() 
    {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) 
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() 
    {
        return updatedate;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cardId", getCardId())
            .append("swipYear", getSwipYear())
            .append("swipMonth", getSwipMonth())
            .append("swipNum", getSwipNum())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
